GET /api/v3/campaigns/constants/campaign-classes¶
Summary¶
GET /campaigns/constants/campaign-classes
Description¶
Returns a list of campaign classes constants and their values. These describe the type of campaign
These classes are listed in the response for this endpoint.
Tags: campaigns
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)campaign_classes(array)-
Array items:
objectType:objectProperties:
class(string)class_name(string)class_description(string)
Example Response¶
{
"success": true,
"campaign_classes": [
{
"class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
"class_name": "Media Owner Contract",
"class_description": "A campaign that is scheduled by a media owner for a specific contract."
},
{
"class": "App\\LuCore\\Campaigns\\LucitProgrammaticCampaignClass",
"class_name": "Lucit Programmatic",
"class_description": "A programmatic campaign generated via the Lucit platform"
},
{
"class": "App\\LuCore\\Campaigns\\DigitalBoardCampaignClass",
"class_name": "Digital Screen Campaign",
"class_description": "A campaign that is linked 1:1 to a specific digital sign. Useful for getting playlists for a sign"
},
{
"class": "App\\LuCore\\Campaigns\\GroupCampaignClass",
"class_name": "Campaign Group",
"class_description": "A campaign that is designed to contain other campaigns and can be attached to a screengroup or, other group campaigns"
},
{
"class": "App\\LuCore\\Campaigns\\ScreenGroupCampaignClass",
"class_name": "Screen Group",
"class_description": "A campaign that is designed to contain group campaigns and is only attached to a DigitalBoardCampaignClass"
},
{
"class": "App\\LuCore\\Campaigns\\DefaultCreativesCampaignClass",
"class_name": "Default Creatives",
"class_description": "A campaign just to hold the default creative for an account"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/campaigns/constants/campaign-classes" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/campaigns/constants/campaign-classes"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/campaigns/constants/campaign-classes',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/campaigns/constants/campaign-classes'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"campaign_classes": [
{
"class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
"class_name": "Media Owner Contract",
"class_description": "A campaign that is scheduled by a media owner for a specific contract."
},
{
"class": "App\\LuCore\\Campaigns\\LucitProgrammaticCampaignClass",
"class_name": "Lucit Programmatic",
"class_description": "A programmatic campaign generated via the Lucit platform"
},
{
"class": "App\\LuCore\\Campaigns\\DigitalBoardCampaignClass",
"class_name": "Digital Screen Campaign",
"class_description": "A campaign that is linked 1:1 to a specific digital sign. Useful for getting playlists for a sign"
},
{
"class": "App\\LuCore\\Campaigns\\GroupCampaignClass",
"class_name": "Campaign Group",
"class_description": "A campaign that is designed to contain other campaigns and can be attached to a screengroup or, other group campaigns"
},
{
"class": "App\\LuCore\\Campaigns\\ScreenGroupCampaignClass",
"class_name": "Screen Group",
"class_description": "A campaign that is designed to contain group campaigns and is only attached to a DigitalBoardCampaignClass"
},
{
"class": "App\\LuCore\\Campaigns\\DefaultCreativesCampaignClass",
"class_name": "Default Creatives",
"class_description": "A campaign just to hold the default creative for an account"
}
]
}